Subject: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Aug 2023 06:39:37 +0200

Gerd Möllmann <[email-masked]> writes:

> (The description in the Elisp manual, BTW, also explain what the
> duplicate name does, although I'm not sure why it is done here,
> because the names of the local functions should be unique already.
> I'm probably overlooking something.)

Ok - I understand now that the names are used by Edebug internally, to
map the code pieces to a descriptor.

Then I guess the names must be unique here because shadowing local
functions would get the same name assigned.  Or any that appear
anywhere, actually... right?

Michael.